Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 83167

Summary: pam_env and xdm don't play well together
Product: [Retired] Red Hat Linux Reporter: rsbx <rsbx>
Component: pamAssignee: Tomas Mraz <tmraz>
Status: CLOSED WORKSFORME QA Contact: Jay Turner <jturner>
Severity: high Docs Contact:
Priority: high    
Version: 8.0CC: mitr, srevivo
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2004-11-10 10:16:18 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description rsbx 2003-01-30 22:01:41 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20021130

Description of problem:
Using /etc/security/pam_env.conf to set the PATH environment variable results in
a corrupted PATH environment variable when login in with xdm.

Updates through Jan 9, 2003 applied.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Edit /etc/security/pam_env.conf to set the PATH environment variable.
2. Set DISPLAYMANAGER=XDM in /etc/sysconfig/desktop
3. Change to runlevel 3
4. Change to runlevel 5
5. login in via the XDM login widget
6. echo $PATH in an xterm and examine the result.

Additional info:

Comment 1 Tomas Mraz 2004-11-10 10:16:18 UTC
Cannot reproduce with FC3. Retest it with FC3 and reopen if it still
happens for you.